dav1d 1.5.1 dav1d is an AV1 decoder |

Loading...
Searching...
No Matches
Data Fields
Dav1dData Struct Reference

`#include <data.h>`

Collaboration diagram for Dav1dData:
[legend]

## Data Fields
const uint8_t * | data
| data pointer
size_t | sz
| data size
struct Dav1dRef * | ref
| allocation origin
Dav1dDataProps | m
| user provided metadata passed to the output picture

## Field Documentation

## ◆ data

const uint8_t* Dav1dData::data

data pointer

## ◆ m

Dav1dDataProps Dav1dData::m

user provided metadata passed to the output picture

## ◆ ref

struct Dav1dRef* Dav1dData::ref

allocation origin

## ◆ sz

size_t Dav1dData::sz

data size

The documentation for this struct was generated from the following file:

- dav1d/data.h